#include <iostream>

using namespace std;

int main()
{
    int N,br=0,bz=0;
    cin>>N;
    int X[N], Y[N], Z[N];
    for(int i=1; i<=N; i++)
        cin>>X[i];
    for(int j=1; j<=N; j++)
        cin>>Y[j];
    for(int k=1; k<=N; k++)
        {cin>>Z[k];bz+=Z[k];
    if(bz/N==Z[1])
    {
   for(int i=1; i<=N; i++)
    {
        for(int j=1; j<=N; j++)
        {
            if(X[i]==Y[j] && j==Z[1])
                br++
        }
    }
    }
    else
    {
        for(int i=1; i<=N; i++)
    {
        for(int j=1; j<=N; j++)
        {
            if(X[i]==Y[j])
                for(int k=1; k<=N; k++)
                {
                    if(Z[k]==j)
                        br++;
                }
        }
    }
    }
    cout<<br;
    return 0;
}